<?php
//error_reporting(E_ALL);

$system_folder = "iwmsystem";
define("SYSTEMFOLDER", $system_folder.'/');

$application_folder = "application";
define('APPFOLDER', $application_folder.'/');

if (strpos($system_folder, '/') === FALSE){
	if (function_exists('realpath') AND @realpath(dirname(__FILE__)) !== FALSE){
		if( $system_folder == "" )
			$system_folder = realpath(dirname(__FILE__));
		else 
			$system_folder = realpath(dirname(__FILE__)).'/'.$system_folder;
	}
} else {
	if( $system_folder != '' )
		$system_folder = str_replace("\\", "/", $system_folder); 
}

define('EXT', '.'.pathinfo(__FILE__, PATHINFO_EXTENSION));
define('FCPATH', __FILE__);
define('SELF', pathinfo(__FILE__, PATHINFO_BASENAME));
define('BASEPATH', $system_folder.'/');
define('ROOTPATH', dirname(__FILE__).'/');

if (is_dir($application_folder)){
	define('APPPATH', $application_folder.'/');
} else {
	if ($application_folder == ''){
		$application_folder = 'application';
	}

	define('APPPATH', BASEPATH.$application_folder.'/');
}

if ( ! defined('E_STRICT')){
	define('E_STRICT', 2048);
}

require_once BASEPATH.'core/iwmcore'.EXT;
?>