<?php
$obj =& get_instance();
$obj->load->model('Ads_model', 'adsm', 'ads');
$tags = $obj->adsm->get_tags(35, 'counter', 'DESC');

$max = $tags['max'];
$tags = $tags['rows'];
shuffle($tags);
?>
<div class="popular-tag">
	<h3><span><?=$block_title ? $block_title:'Popular Tag';?></span></h3>
	<p>
	<?php
	foreach( $tags as $tag ){
		$percent = floor(($tag->counter / $max) * 100);
		if ($percent <25){
			$class = 'small';
		} elseif ($percent>= 25 and $percent <50) {
			$class = 'medium';
		} elseif ($percent>= 50 and $percent <75) {
			$class = 'large';
		} else {
			$class = 'largest';
		}
		?>
		<span class="<?=$class;?>"><a href="<?=site_url2('/tag/'.$tag->slug.'/');?>"><?=htmlentities2($tag->tag);?></a></span>
		<?php
	}
	?>
	</p>
	<div class="popular-tag-bottom"><a href="<?=site_url2('tags');?>">Lihat Tag Lain &raquo; </a></div>
</div>
