<?php
$this->load->helper('text');

$tags = array();
foreach( $row->tags as $tag ){
	$tags[] = '<a href="'.site_url2('/tag/'.$tag->slug.'/').'">'.htmlentities2(utf8_strip_non_ascii_ctrl($tag->tag)).'</a>';
}

$localtime = gmt_to_local($row->create_date, $this->config->item('time_zone'));
?>
<h1 class="content-title"><?=htmlentities2(utf8_strip_non_ascii_ctrl($row->title));?></h1>
<div class="iklan-baris-info"><?=$row->hits;?> hits | <?=mdate('%d %F %Y %H:%i', $localtime);?><?=$row->name!='' ? ' | '.$row->name:'';?><?=($row->website != '' && ($row->website != 'http://' || $row->website != 'https://')) ? ' | '.anchor(prep_url($row->website), 'Kunjungi Website', 'target="_blank"'):'';?>  | <a href="<?=site_url2('/kategori/'.(!empty($row->cat->parentslug) ? $row->cat->parentslug.'/':'').$row->cat->slug.'/');?>"><?=$row->cat->name;?></a></div>
<div class="iklan-baris-content">
<?php
if( $row->image != '' && is_file(ROOTPATH.'images/iklan/'.$row->image) ){
?>
<img src="<?=base_url();?>images/iklan/<?=$row->image;?>" alt="" />
<?php
}

echo nl2br(htmlentities2(utf8_strip_non_ascii_ctrl($row->content)));
?>
</div>









<div class="iklan-baris-tag"><strong>Tags</strong>: <?=implode(', ', $tags);?></div>
<?php
if( count($row->related) ){
?>
<h2 class="iklan-terkait">Iklan Terkait</h2>
<div class="iklan-baris" id="iklan-baris-terkait">
<?php
	foreach( $row->related as $val ){
		$tags = array();
		foreach( $val->tags as $tag ){
			$tags[] = '<a href="'.site_url2('/tag/'.$tag->slug.'/').'">'.$tag->tag.'</a>';
		}
	?>
	<div class="iklan-baris-item">
		<h3><a href="<?=site_url('/iklan/'.$val->slug.'/');?>"><?=$val->title;?></a></h3>
		<div class="iklan-baris-content">
			<?php
			if( $val->image != '' && is_file(ROOTPATH.'images/iklan/'.$val->image) ){
			?>
			<img src="<?=base_url();?>images/iklan/<?=$val->image;?>" alt="" />
			<?php
			}
			echo word_limiter(htmlspecialchars(utf8_strip_non_ascii_ctrl($val->content)), 30);
			?>
		</div>
	</div>
	<?php
	}
?>
</div>
<?php
}
?>