<h1 class="content-title">Hasil Pencarian: <?=$rows['keyword'];?></h1>
<div class="iklan-baris">
<?php
if( count($rows['items']) > 0 ){
	$this->load->helper('text');
	foreach( $rows['items'] as $row ){
		$localtime = gmt_to_local($row->created_date);
		$tags = array();
		foreach( $row->tags as $tag ){
			$tags[] = '<a href="'.site_url2('/tag/'.$tag->slug.'/').'">'.htmlentities2(utf8_strip_non_ascii_ctrl($tag->tag)).'</a>';
		}
?>
<div class="iklan-baris-item">
	<h3><a href="<?=site_url('/iklan/'.$row->slug.'/');?>"><?=highlight_phrase(htmlentities2(utf8_strip_non_ascii_ctrl($row->title)), $rows['keyword'], '<span class="highlight">', '</span>');?></a></h3>
	<div class="iklan-baris-info"><?=$row->hits;?> hits | <?=mdate('%d %F %Y %H:%i', $localtime);?><?=$row->name!='' ? ' | '.$row->name:'';?><?=($row->website != '' && ($row->website != 'http://' || $row->website != 'https://')) ? ' | '.anchor(prep_url($row->website), 'Kunjungi Website', 'target="_blank"'):'';?>  | <a href="<?=site_url2('/kategori/'.(!empty($row->cat->parentslug) ? $row->cat->parentslug.'/':'').$row->cat->slug.'/');?>"><?=$row->cat->name;?></a></div>
	<div class="iklan-baris-content">
		<?php
		if( $row->image != '' && is_file(ROOTPATH.'images/iklan/'.$row->image) ){
		?>
		<img src="<?=base_url();?>images/iklan/<?=$row->image;?>" alt="" />
		<?php
		}
		
		echo highlight_phrase(word_limiter(htmlentities2(utf8_strip_non_ascii_ctrl($row->content)), 50), stripslashes($rows['keyword']), '<span class="highlight">', '</span>');
		?>
		<div class="clear"></div>
	</div>
	<div class="iklan-baris-tag"><strong>Tag:</strong> <?=implode(', ', $tags);?></div>
</div>
<?php
	}
} else {
?>
<div class="iklan-baris-content">Tidak ada iklan yang sesuai dengan keyword: <span class="highlight"><?=$rows['keyword'];?></span></div>
<?php
}
?>
</div>
<?php
echo $this->pagination->create_links();
?>