<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

$max = $row['max'];
$tags = $row['rows'];
?>
<h1 class="content-title"><?=$page_title;?></h1>
<div class="tag-clouds" id="main-page">
<?php
foreach( $tags as $tag ){
	$percent = floor(($tag->counter / $max) * 100);
	if ($percent <25){
		$class = 'small';
	} elseif ($percent>= 25 and $percent <50) {
		$class = 'medium';
	} elseif ($percent>= 50 and $percent <75) {
		$class = 'large';
	} else {
		$class = 'largest';
	}
	?>
	<span class="<?=$class;?>"><a href="<?=site_url2('/tag/'.$tag->slug.'/');?>"><?=htmlentities2($tag->tag);?></a></span>
	<?php
}
?>
</div>
<div class="clear">&nbsp;</div>
