<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');
?>
<h1 class="content-title">
	<?=$this->menu->get_page_title();?>
</h1>
<?php
echo $this->config->item('bnr_openingtext');

if( $error_msg ){
?>
<div class="form-message form-error">
	<h3>Kesalahan:</h3>
	<p>
		<?=$error_msg;?>
	</p>
</div>
<?php
}

if( $success_msg ){
?>
<div class="form-message form-succes">
	<h3>Berhasil:</h3>
	<p>
		<?=$success_msg;?>
	</p>
</div>
<?php
}
?>
<form method="post" action="" enctype="multipart/form-data">
	<?php
	if( $this->config->item('ads_enablepremium') != 'Y' ){
	?>
	<input type="hidden" name="type" value="free" />
	<?php
	}
	?>
	<table border="0" cellpadding="0" cellspacing="0" width="100%">
		<tbody>
			<tr>
				<td style="width: 26%;">Nama: *)</td>
				<td><input class="text" name="name" value="<?=$row->name;?>" type="text" maxlength="32" style="width: 300px;" /></td>
			</tr>
			<tr>
				<td>Email: *)</td>
				<td><input class="text" name="email" value="<?=$row->email;?>" type="text" maxlength="255" style="width: 300px;" /></td>
			</tr>
			<tr>
				<td>No. Telepon/HP:</td>
				<td><input class="text" name="phone" value="<?=$row->phone;?>" type="text" maxlength="255" style="width: 150px;" /></td>
			</tr>
			<tr>
				<td>Posisi Banner: *)</td>
				<td><?=form_dropdown('posisiid', $posisi, $row->posisiid);?></td>
			</tr>
			<tr>
				<td>Lama Langganan: *)</td>
				<td><select name="masatayang" class="text">
					<?php
					for($i=1; $i<=$this->config->item('bnr_maxorder'); $i++){
					?>
						<option value="<?=$i;?>"<?=$row->masatayang==$i ? ' selected="selected"':'';?>><?=$i;?> bulan</option>
						<?php
					}
					?>
					</select></td>
			</tr>
			<tr>
				<td>Website: *)</td>
				<td><span style="width: 35px; padding-right: 5px;">http://</span>
					<input class="text" name="website" value="<?=$row->website;?>" type="text" style="width: 250px;" /></td>
			</tr>
			<tr>
			<td>File Banner:</td>
			<td><input  class="text" name="image" type="file" size="30" style="width: 250px;" /></td>
		</tr>
			<tr>
				<td>Catatan:</td>
				<td><textarea rows="5" name="note" style="width: 300px;" cols="15" class="text"><?=$row->note;?></textarea></td>
			</tr>
			<tr>
				<td>Kode Captcha *):</td>
				<td><img src="<?=site_url2('/captcha/index/'.md5('orderbanner').'/'.time().'/');?>" alt="" /> <br />
					<input size="7" class="text" name="scode" type="text" />
				</td>
			</tr>
			<tr>
				<td>&nbsp;</td>
				<td><input name="task" value="Pasang" class="button" type="submit" /></td>
			</tr>
		</tbody>
	</table>
</form>