<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class Filemgr extends Controller {
	function Filemgr(){
		parent::Controller();
		$this->load->model('Filemgr_model', 'model');
	}
	
	function index($type){
		$data['page_title'] = ucwords($type).' Manager';
		if( check_session() === false ){
			$data['is_error'] = true;
			$data['message']['class'] = 'warning';
			$data['message']['text'] = 'Anda harus login untuk mengakses halaman ini.';
		} else {
			if( $this->input->post('task') == 'createfolder' ){
				$this->model->createfolder($type);
				$data['message'] = $this->model->_get_message();
			}
			if( $this->input->post('task') == 'upload' ){
				$this->model->upload($type);
				$data['message'] = $this->model->_get_message();
			}
			if( $this->input->post('task') == 'delete' ){
				$this->model->delete($type);
				$data['message'] = $this->model->_get_message();
			}
			
			$folder = $this->input->post('folder') === false ? '':$this->input->post('folder');
			
			$r['rows'] = $this->model->load($type, $folder);
			$r['type'] = $type;
			$r['subfolder'] = $folder;
			$data['page_title'] = ucwords($type).' Manager';
			$data['button'] = $this->model->buttonlist();
			$data['nform'] = $this->load->cview('form-display', $r);
			$data['html'] = $this->load->cview('filemgr-display', $r);
		}
		$this->load->view($this->template->get('dir', 'backend').'filemanager', $data);
	}
}
?>