<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class Home extends Controller {
	function Home(){
		parent::Controller();
		$this->load->model('Home_model', 'model');
	}
	
	function index(){
		if( check_session() === true ){
			$url = '/backend/home/index2/';
			redirect($url, 'refresh');
		}
		
		$data['_error'] = '';
		if( $this->input->post('login') == 'true' ){
			if( $this->model->validate_login() === false ){
				$data['_error'] = $this->model->_get_message();
			} else {
				$url = '/backend/home/index2/';
				redirect($url, 'refresh');
			}
		}
		
		$this->load->view($this->template->get('dir', 'backend').'login', $data);
	}
	
	function index2(){
		if( check_session() === false ){
			$url = '/backend/home/index/';
			redirect($url, 'refresh');
		}
		$this->load->view($this->template->get('dir', 'backend').'frame', $data);
	}
	
	function welcome(){
		$data['ishome'] = true;
		$data['page_title'] = '&nbsp;';
		$data['html'] = $this->load->cview('dsp-home-index', array());
		$this->load->view($this->template->get('dir', 'backend').'layout', $data);
	}
	
	function left(){
		$this->load->view($this->template->get('dir', 'backend').'left');
	}
	
	function top(){
		$this->load->view($this->template->get('dir', 'backend').'top');
	}
	
	function logout(){
		$this->model->logout();
		$url = '/backend/home/index/';
		redirect($url, 'refresh');
	}
}
?>