<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

$this->load->helper('text');
?>
<div class="iklan-baris" id="iklan-baris-frontpage">
	<h2>Iklan Terbaru</h2>
	<?php
	foreach( (array) $rows as $i => $row ){
		$localtime = gmt_to_local($row->created_date, $this->config->item('time_zone'));
		$tags = array();
		foreach( $row->tags as $tag ){
			$tags[] = '<a href="'.site_url2('/tag/'.$tag->slug.'/').'">'.htmlentities2($tag->tag).'</a>';
		}
	?>
	<div class="iklan-baris-item">
		<h3><a href="<?=site_url('/iklan/'.$row->slug.'/');?>"><?=htmlentities2($row->title);?></a></h3>
		<div class="iklan-baris-info"><?=$row->hits;?> hits | <?=mdate('%d %F %Y %H:%i', $localtime);?><?=$row->name!='' ? ' | '.$row->name:'';?><?=($row->website != '' && ($row->website != 'http://' || $row->website != 'https://')) ? ' | '.anchor(prep_url($row->website), 'Kunjungi Website', 'target="_blank"'):'';?>  | <a href="<?=site_url2('/kategori/'.(!empty($row->cat->parentslug) ? $row->cat->parentslug.'/':'').$row->cat->slug.'/');?>"><?=$row->cat->name;?></a></div>
		<div class="iklan-baris-content">
			<?php
			if( $row->image != '' && is_file(ROOTPATH.'images/iklan/'.$row->image) ){
			?>
			<img src="<?=base_url();?>images/iklan/<?=$row->image;?>" alt="" />
			<?php
			}
			
			echo word_limiter(htmlentities2(utf8_strip_non_ascii_ctrl($row->content)), 50);
			?>
			<div class="clear"></div>
		</div>
		<div class="iklan-baris-tag"><strong>Tag:</strong> <?=implode(', ', $tags);?></div>
	</div>
	<?php
	}
	?>
</div>
<?php
echo $this->pagination->create_links();
?>