<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class Menumgr extends Controller {
	function Menumgr() {
		parent::Controller();
		$this->_check_session('backend');
		$this->load->model('Menu_model', 'model');
		$this->load->library('Ordering');
	}
	
	function index($menutype, $parentid=0){
		if( current_user_permision('read') === false )
			noauth();
		
		if( $this->input->post('task') == 'published' ){
			$this->model->published('Y');
			if( $this->input->post('menutype') == 'backend' ){
				$msg = '<script>parent.leftFrame.location.reload();</script>';
				$this->session->set_userdata(array('message'=>$msg));
			}
			
			redirect('/backend/menumgr/index/'.$this->input->post('menutype').'/'.$this->input->post('parentid').'/', 'refresh');
		}
		if( $this->input->post('task') == 'unpublished' ){
			$this->model->published('N');
			if( $this->input->post('menutype') == 'backend' ){
				$msg = '<script>parent.leftFrame.location.reload();</script>';
				$this->session->set_userdata(array('message'=>$msg));
			}
			
			redirect('/backend/menumgr/index/'.$this->input->post('menutype').'/'.$this->input->post('parentid').'/', 'refresh');
		}
		if( $this->input->post('task') == 'orderup' ){
			$this->model->order('up');
			if( $this->input->post('menutype') == 'backend' ){
				$msg = '<script>parent.leftFrame.location.reload();</script>';
				$this->session->set_userdata(array('message'=>$msg));
			}
			
			redirect('/backend/menumgr/index/'.$this->input->post('menutype').'/'.$this->input->post('parentid').'/', 'refresh');
		}
		if( $this->input->post('task') == 'orderdown' ){
			$this->model->order('down');
			if( $this->input->post('menutype') == 'backend' ){
				$msg = '<script>parent.leftFrame.location.reload();</script>';
				$this->session->set_userdata(array('message'=>$msg));
			}
			
			redirect('/backend/menumgr/index/'.$this->input->post('menutype').'/'.$this->input->post('parentid').'/', 'refresh');
		}
		
		if( $this->input->post('task') == 'delete' ){
			$this->model->delete();	
			$msg = $this->model->_get_message();
			if( $this->input->post('menutype') == 'backend' ){
				$msg['text'] .= '<script>parent.leftFrame.location.reload();</script>';
				$this->session->set_userdata(array('message'=>$msg));
			}
			
			redirect('/backend/menumgr/index/'.$this->input->post('menutype').'/'.$this->input->post('parentid').'/', 'refresh');
		}
		
		$parentid = @$parentid ? $parentid:0;
		$r['rows'] = $this->model->loadlist($menutype, $parentid);
		$r['menutype'] = $menutype;
		$r['parentid'] = $parentid;
		$r['parent'] = $this->model->load($parentid);
		$data['page_title'] = $this->menu->get_page_title('', 'backend');
		$data['message'] = $this->session->userdata('message');
		$this->session->unset_userdata('message');
		$data['button'] = $this->model->buttonlist($menutype, $parentid);
		$data['html'] = $this->load->cview('menulist', $r, true);
		$this->load->view($this->template->get('dir', 'backend').'layout', $data);
	}
	
	function add($menutype, $parentid){
		if( current_user_permision('write', '/backend/menumgr/index/'.$menutype.'/') === false ){
			noauth();
		}
		$this->edit($menutype, $parentid);
	}
	
	function edit($menutype, $parentid, $id=''){
		if( current_user_permision('modify', '/backend/menumgr/index/'.$menutype.'/') === false && $id ){
			noauth();
		}
		if( $this->input->post('task') == 'save' ){
			if( $this->model->validation() === false ){
				$data['message'] = $this->model->_get_message();
			}
			elseif( $this->model->store() === false ){
				$data['message'] = $this->model->_get_message();
			}
			else {
				$msg = $this->model->_get_message();
				if( $this->input->post('menutype') == 'backend' )
					$msg['text'] .= '<script>parent.leftFrame.location.reload();</script>';
				
				$this->session->set_userdata(array('message'=>$msg));
								
				redirect('/backend/menumgr/index/'.$this->input->post('menutype').'/'.$this->input->post('parentid').'/', 'refresh');
			}
		}
		
		$r['row'] = $this->model->load($id);
		$r['menutype'] = $menutype;
		$r['parentid'] = $parentid ? $parentid:0;
		$r['parent'] = $this->model->loadall($menutype);
		if( $menutype == 'frontend' )
			$r['positions'] = $this->model->load_position();
		
		$data['page_title'] = $this->menu->get_page_title('/backend/menumgr/index/'.$menutype.'/', 'backend').($id ? ' :: Edit Menu':' :: Tambah Menu');
		$data['button'] = $this->model->buttonadd($menutype, $parentid);
		$data['html'] = $this->load->cview('menuadd', $r, true);
		
		$this->load->view($this->template->get('dir', 'backend').'layout', $data);
	}
	
	function position(){
		if( current_user_permision('write', '/backend/menumgr/index/frontend/') === false )
			noauth();
		
		if( $this->input->post('task') == 'save' ){
			$this->model->store_position();
			redirect('/backend/menumgr/position/');
		}
		
		if( $this->input->post('task') == 'delete' ){
			$this->model->delete_position();
			redirect('/backend/menumgr/position/');
		}
		
		$r['rows'] = $this->model->load_position();
		
		$data['page_title'] = $this->menu->get_page_title('/backend/menumgr/index/frontend/', 'backend').' :: Group Menu';
		$data['button'] = $this->model->buttonposition();
		$data['html'] = $this->load->cview('position', $r, true);
		$this->load->view($this->template->get('dir', 'backend').'layout', $data);
	}
}
?>