<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class Page extends Controller {
	function Page(){
		parent::Controller();
		$this->load->model('Page_frontend', 'model');
	}
	
	function index($slug=''){
		$r['row'] = $this->model->load_by_slug($slug);
		
		if( empty($slug) || count($r['row']) < 1 )
			show_404();
			
		$this->head->append_title($r['row']->title);
		$this->head->append_meta_tag('keywords', $r['row']->meta_keys);
		$this->head->append_meta_tag('description', $r['row']->meta_desc);
		
		$data['page_title'] = $r['row']->title;
		$data['html'] = $this->load->cview('page-view', $r, true);
		$this->load->view($this->template->get('dir').'template', $data);
	}
}
?>