<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class Site_model extends Model {	
	function Site_model(){
		parent::Model();
	}
	
	function load(){
		$this->db->select();
		$this->db->orderby('id');
		$r = $this->db->get('configs');
		$rows = array();
		foreach( $r->result() as $row ){
			$rows[$row->section]['text'] = $row->section_text;
			$rows[$row->section]['value'][$row->name]['value'] = $row->value;
			$rows[$row->section]['value'][$row->name]['text'] = $row->name_text;
			$rows[$row->section]['value'][$row->name]['param'] = $row->param;
		}
		
		return $rows;
	}
	
	function update(){
		foreach( $_POST as $key => $val ){
			if( $key == 'task' )
				continue;
				
			if( $key == 'footer' )
				$data['value'] = strip_tags($val, '<a><strong><span><br><p>');
			else
				$data['value'] = xss_clean($val);
			
			$r = $this->db->update('configs', $data, "name='$key'");
		}
		
		$this->message['text'] = 'Site configuration berhasil disimpan';
		$this->message['class'] = 'ok';
		return true;
	}
	
	function sconfig_button(){
		$btn = $this->button->start();
		if( current_user_permision('modify') === true ){
			$btn .= $this->button->save_button('save');
			$btn .= $this->button->separator();
		}
		$btn .= $this->button->end();
		
		return $btn;
	}
}
?>