<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class Sites extends Controller {
	function Sites() {
		parent::Controller();
		$this->_check_session('backend');
		$this->load->model('Site_model', 'model');
	}
	
	function index(){
		$this->sconfig();
	}
	
	function sconfig(){
		if( current_user_permision('read') === false )
			noauth();
		
		if( $this->input->post('task') == 'save' ){
			$this->model->update($post);
			$msg = $this->model->_get_message();
			$this->session->set_userdata(array('message'=>$msg));
			redirect('/backend/sites/sconfig/', 'refresh');
		}
		
		$this->load->plugin('tabpane');
		
		$r['rows'] = $this->model->load();
	
		$data['page_title'] = 'Konfigurasi Situs';
		$data['button'] = $this->model->sconfig_button();
		$data['message'] = $this->session->userdata('message');
		$this->session->unset_userdata('message');
		$data['html'] = $this->load->cview('sconfig', $r, true);
		$this->load->view($this->template->get('dir', 'backend').'layout', $data);
	}
}
?>