<?php
function check_session($type = 'backend'){
	$obj =& get_instance();
	if( $type == 'backend' ){
		$sess = get_backend_session();
		if( $sess['user_id'] == '' || $sess['user_id'] == '0' ){
			return false;
		}
		
		if( $sess['groupid'] != 1 ){			
			return false;
		}
	}
	
	return true;
}

function get_backend_session(){
	$obj =& get_instance();
	
	$obj->load->library('Encrypt');
	$obj->load->helper('cookie');
	
	$sess = get_cookie('_iwmbackend');
	$sess = $obj->encrypt->decode($sess);
	$sess = @unserialize($sess);
	
	return $sess;
}

function ajax_check_session($type = 'backend'){
	$obj =& get_instance();
	if( check_session($type) === false ){
		$url = $obj->config->item('base_url').'backend/';
		$obj->ajaxresponse->addScript('eval(\'top.location="'.$url.'"\')');
		return $obj->ajaxresponse;
	}
	
	return true;
}

function get_session_item($item, $type='frontend'){
	$obj =& get_instance();
	
	if( $type == 'backend' ){
		$sess = get_backend_session();
	} else {
		$sess = $obj->session->userdata($type);
	}
	
	return !isset($sess[$item]) ? ($obj->session->userdata($item) === false ? false:$obj->session->userdata($item)):$sess[$item];
}

function check_permision($permision, $menuid, $groupid, $gid){
	$obj =& get_instance();
	
	if( empty($menuid) || empty($groupid) || empty($gid) ){
		return false;
	}
	
	if( $groupid == 1 && $gid == 0 )
		return true;
	
	$obj->db->select('`'.$permision.'`');
	$r = $obj->db->getwhere('group_access', "menuid=$menuid AND groupid=$groupid AND gid=$gid");
	
	if( $r === false )
		return false;
	
	$access = $r->get_one();
	if( $access == 'Y' )
		return true;
	
	return false;
}

function current_user_permision($permision, $uri_string='', $type='backend'){
	$obj =& get_instance();
	
	$groupid = get_session_item('groupid', 'backend');
	$gid = get_session_item('gid', 'backend');
	
	if( $groupid == 1 && $gid == 0 )
		return true;
	
	$menuid = get_menuid($uri_string, $type);
	
	return check_permision($permision, $menuid, $groupid, $gid);
}

function get_menuid($uri_string='', $type='backend', $count=0){
	$obj =& get_instance();
	
	if( trim($uri_string) == '' ){
		$total_segment = $obj->uri->total_segments();
		$segments = $obj->uri->segment_array();
		array_splice($segments, $total_segment - $count);
		if( count($segments) < 1 )
			return '';
			
		$uri_string = '/'.trim(implode('/', $segments), '/').'/';
	}
	
	if( empty($type) ){
		if( eregi('backend', $uri_string) )
			$type = 'backend';
		else
			$type = 'frontend';
	}
	
	$obj->db->select('id');
	$r = $obj->db->getwhere('menus', "`link`='$uri_string' AND menutype='$type'", 1);
	$menuid = $r->get_one();
	if( !$menuid ){
		$count++;
		return get_menuid('', $type, $count);
	}
	
	return $menuid;
}
?>