<?php  
if (!defined('BASEPATH')) exit('No direct script access allowed');

class Anim_captcha {
	var $frames	= 20; // num of frame
	var $delay	= 25;
	var $sessvar = 'iwmanimcaptcha';
	var $charset = array('2','3','4','5','6','7','8','9','a','b','c','d','e','f','g','h','i','j','k','m','n','p','q','r','s','t','u','v','w','x','y','z','A','B','C','D','E','F','G','H','I','J','K','M','N','P','Q','R','S','V','W','X','Y','Z');
	var $numchar = 4;
	var $color = '666600';
	
	var $var01 = 64;
	var $var02 = 90;
	var $var03 = 0x66; // Red
	var $var04 = 0x66; // Green
	var $var05 = 0x00; // Blue
	var $var06 = 130;
	var $var07 = true;
	var $var08 = array ( );
	var $var09 = array ( );
	var $var10 = array ( );
	var $var11 = array ( );
	var $var12 = array ( );
	var $var13;
	var $var14;
	var $var15;
	var $var16;
	var $var17;
	var $var18;
	
	function Anim_captcha($params=array()){
		 $this->obj =& get_instance();
		 $this->initialize($params);
	}
	
	function initialize($params){
		if( is_array($params) ){
			foreach($params as $key => $val ){
				$this->$key = $val;
			}
		}
	}
	
	function make_captcha () {
		$var0 = $this->fontPath.$this->fonts[array_rand($this->fonts)];
		$var4 = HexDec ( $this->color );
		$this->var03 = floor ( $var4 / pow ( 256, 2 ) );
		$this->var04 = floor ( ( $var4 % pow ( 256, 2 ) ) / pow ( 256, 1 ) );
		$this->var05 = floor ( ( ( $var4 % pow ( 256, 2 ) ) % pow ( 256, 1 ) ) / pow ( 256, 0 ) );
		$var1 = array ( );
		$var1 = imagettfbbox ( 18, 0, $var0, $this->sCode );
		$this->var13 = imagecreatetruecolor ( $var1 [ 4 ] + 20, abs( $var1 [ 5 ] ) + 15 );
		
		$var2 = imagecolorallocate( $this->var13,    0,    0,    0 );
		$var3 = imagecolorallocate( $this->var13,  192,  192,  192 );
		imagefill( $this->var13, 0, 0, $var2 );
		imagettftext( $this->var13, 18, 0, 7, abs( $var1 [ 5 ] ) + 6, $var3, $var0, $this->sCode);
		$this->var14 = imageSX ( $this->var13 );
		$this->var15 = imageSY ( $this->var13 );
		for ( $y = 0; $y < $this->var15; $y++ ) {
			for ( $x = 0; $x < $this->var14; $x++ ) {
				$p = imagecolorsforindex ( $this->var13, imagecolorat ( $this->var13, $x, $y ) );
				$this->var17 [ $x ] [ $y ] = $p [ 'red' ] + $p [ 'green' ] + $p [ 'blue' ];
			}
		}
		imagedestroy ( $this->var13 );
		$this->var13 = imagecreatetruecolor ( $this->var14, $this->var15 );
		Anim_captcha::funcs01 ( );
		Anim_captcha::funcs02 ( );
		Anim_captcha::funcs03 ( );
	}
	
	function funcs01 ( )
	{
    	for ( $x = 0; $x < $this->var14; $x++ ) {
    		for ( $y = 0; $y < $this->var15; $y++ ) {
				$var0 = 0;
				$var0 += $this->var17 [ $x ] [ $y ];
				$var0 += $this->var17 [ ( $x + 1 ) % $this->var14 ] [ $y ];
				$var0 += $this->var17 [ ( $x + $this->var14 - 1) % $this->var14 ] [ $y ];
				$var0 += $this->var17 [ $x ] [ ( $y + 1 ) % $this->var15 ];
				$var0 += $this->var17 [ $x ] [ ( $y + $this->var15 - 1 ) % $this->var15 ];
				$var0 += $this->var17 [ ( $x + 1 ) % $this->var14 ] [ ( $y + 1 ) % $this->var15 ];
				$var0 += $this->var17 [ ( $x + $this->var14 - 1) % $this->var14 ] [ ( $y + $this->h - 1 ) % $this->var15 ];
				$var0 += $this->var17 [ ( $x + $this->var14 - 1) % $this->var14 ] [ ( $y + 1 ) % $this->var15 ];
				$var0 += $this->var17 [ ( $x + 1 ) % $this->var14 ] [ ( $y + $this->var15 - 1) % $this->var15 ];
				$var0 /= 9;
				$var1 [ $x ] [ $y ] = ( ( float ) $var0 / 3 * ( float ) $this->var01 / 255);
			}
		}
		
    	for ( $x = 1; $x < $this->var14 - 1; $x++ ) {
    		for ( $y = 1; $y < $this->var15 - 1; $y++ ) {
				$this->var11 [ $x ] [ $y ] = ( $var1 [ $x + 1 ] [ $y ] - $var1 [ $x - 1 ] [ $y ] );
				$this->var12 [ $x ] [ $y ] = ( $var1 [ $x ] [ $y + 1 ] - $var1 [ $x ] [ $y - 1 ] );
			}
		}
	}
	
	function funcs02 ( ) {
		for ( $i = 0; $i < ( 255 - $this->var02 ); $i++) {
			$r = ( int ) ( $this->var03 * $i / (255 - $this->var02 ) );
			$g = ( int ) ( $this->var04 * $i / (255 - $this->var02 ) );
			$b = ( int ) ( $this->var05 * $i / (255 - $this->var02 ) );
			$this->var09 [ $i ] = array ( $r, $g, $b );
		}
		for ( $i = ( 255 - $this->var02 );  $i < 256; $i++ ) {
			$r = ( int ) ( $this->var03 + ( 255 - $this->var03 ) * ( $i + $this->var02 - 255 ) / $this->var02 );
			$g = ( int ) ( $this->var04 + ( 255 - $this->var04 ) * ( $i + $this->var02 - 255 ) / $this->var02 );
			$b = ( int ) ( $this->var05 + ( 255 - $this->var05 ) * ( $i + $this->var02 - 255 ) / $this->var02 );
			$this->var09 [ $i ] = array ( $r, $g, $b );
		}
	}
	
	function funcs03 ( ) {
		$this->var16 = $this->var06;
		for ( $y = 0; $y < $this->var06; $y ++ ) {
			for ($x = 0; $x < $this->var06; $x++ ) {
				$var0 = ( (float) $x ) / $this->var16;
				$var1 = ( (float) $y ) / $this->var16;
				$var2 = ( float ) ( 1 - sqrt ( $var0 * $var0 + $var1 * $var1 ) );
				if ( $var2 < 0 ) $var2 = 0;
				$this->var10 [ $x ] [ $y ] = ( int ) ( $var2 * 0xff );
			}
		}
	}
	
	function Frame ( $Lx, $Ly ) {
		$this->var16 = $this->var06 - 1;
		for ( $y = 0; $y < $this->var15; $y++ ) {
			$yoffset = $y * $this->var14;
			for ( $x = 1; $x < $this->var14; $x++ ) {
				$var0 = ( int ) abs ( $this->var11 [ $x ] [ $y ] - $x + $Lx);
				$var1 = ( int ) abs ( $this->var12 [ $x ] [ $y ] - $y + $Ly);

				if ( $var0 > $this->var16 ) $var0 = $this->var16;
				if ( $var1 > $this->var16 ) $var1 = $this->var16;

				if ( $this->var07 ) {
					$this->var08 [ $x + $yoffset ] = ( $this->var10 [ $var0 ] [ $var1 ] >> 1 ) +
														( $this->var08 [ $x + $yoffset ] >> 1 );
					imageSetPixel ( $this->var13, $x, $y,
									imageColorAllocate ( $this->var13,
										$this->var09 [ $this->var08 [ $x + $yoffset ] ] [ 0 ],
										$this->var09 [ $this->var08 [ $x + $yoffset ] ] [ 1 ],
										$this->var09 [ $this->var08 [ $x + $yoffset ] ] [ 2 ]
									)
					);
				}
				else
				{
					$this->var08 [ $x + $yoffset ] = $this->var10 [ $var0 ] [ $var1 ];
					imageSetPixel ( $this->var13, $x, $y,
									imageColorAllocate ( $this->var13,
										$this->var09 [ $this->var08 [ $x + $yoffset ] ] [ 0 ],
										$this->var09 [ $this->var08 [ $x + $yoffset ] ] [ 1 ],
										$this->var09 [ $this->var08 [ $x + $yoffset ] ] [ 2 ]
									)
					);
				}
			}
		}
		ob_start ( ); imagegif ( $this->var13 ); $var2 = ob_get_contents ( ); ob_end_clean ( ); return $var2;
	}
	
	function animatedout ( ) {
		for ( $i = 0; $i < $this->frames; $i++ ) {
			$j = -160;
			$f_arr [ ] = $this->Frame ( $j + ( $i * 16 ), 16 );
			$d_arr [ ] = $this->delay;
		}
		$GIF = new GIFEncoder ( $f_arr, $d_arr, 0, 2, -1, -1, -1, "bin" );
		return ( $GIF->GetAnimation ( ) ); 
	}
	
	function generate_code(){
		 $this->sCode = '';
		 for ($i = 0; $i < $this->numchar; $i++) {
			if (count($this->charset) > 0) {
			   $this->sCode .= $this->charset[array_rand($this->charset)];
			} else {
			   $this->sCode .= chr(rand(65, 90));
			}
		 }
		 
		 // save code in session variable
		$data[$this->sessvar] = $this->sCode;
		 
		$this->obj->session->set_userdata($data);
		$this->obj->load->helper('cookie');
		$this->obj->load->library('encrypt');
		$code = $this->obj->encrypt->encode($this->sCode);
		set_cookie($this->sessvar, $code, 0, $this->obj->config->item('cookie_domain'), $this->obj->config->item('cookie_path'));
	}
	
	function read_font(){
		 $this->fontPath = BASEPATH.'fonts/';
		 $fonts = array();
		 $d = dir($this->fontPath);
		 while ( false !== ($entry = $d->read()) ) {
			if( $entry == '.' || $entry == '..' )
				continue;
			
			if( is_dir($this->fontPath.$entry) )
				continue;
			
			if( ereg('.ttf', strtolower($entry)) )
				$fonts[] = $entry;
		 }
		 $d->close();
		 
		 $this->fonts = $fonts;
	}
	
	function create(){
		$this->generate_code();
		$this->read_font();
		$this->make_captcha();
		
		header ( 'Content-type: image/gif' );
		echo $this->animatedout();
	}
	
	function validate($code){
		$code = strtolower($code);
		$this->obj->load->helper('cookie');
		$this->obj->load->library('encrypt');
		$data = get_cookie($this->sessvar);
		$data = $this->obj->encrypt->decode($data);
		//$data = $this->obj->session->userdata($this->sessvar);
		if( !empty($data) && $code == strtolower($data) ){
			// clear to prevent re-use
			//$this->obj->session->unset_userdata($this->sessvar);
			delete_cookie($this->sessvar);
			return true;
		 }
		 
		 return false;
	}
}

Class GIFEncoder {
	var $GIF = "GIF89a";		/* GIF header 6 bytes	*/
	var $VER = "GIFEncoder V2.05";	/* Encoder version		*/

	var $BUF = Array ( );
	var $LOP =  0;
	var $DIS =  2;
	var $COL = -1;
	var $IMG = -1;

	var $ERR = Array (
		ERR00=>"Does not supported function for only one image!",
		ERR01=>"Source is not a GIF image!",
		ERR02=>"Unintelligible flag ",
		ERR03=>"Does not make animation from animated GIF source",
	);

	function GIFEncoder	(
							$GIF_src, $GIF_dly, $GIF_lop, $GIF_dis,
							$GIF_red, $GIF_grn, $GIF_blu, $GIF_mod
						) {
		if ( ! is_array ( $GIF_src ) && ! is_array ( $GIF_dly ) ) {
			printf	( "%s: %s", $this->VER, $this->ERR [ 'ERR00' ] );
			exit	( 0 );
		}
		$this->LOP = ( $GIF_lop > -1 ) ? $GIF_lop : 0;
		$this->DIS = ( $GIF_dis > -1 ) ? ( ( $GIF_dis < 3 ) ? $GIF_dis : 3 ) : 2;
		$this->COL = ( $GIF_red > -1 && $GIF_grn > -1 && $GIF_blu > -1 ) ?
						( $GIF_red | ( $GIF_grn << 8 ) | ( $GIF_blu << 16 ) ) : -1;

		for ( $i = 0; $i < count ( $GIF_src ); $i++ ) {
			if ( strToLower ( $GIF_mod ) == "url" ) {
				$this->BUF [ ] = fread ( fopen ( $GIF_src [ $i ], "rb" ), filesize ( $GIF_src [ $i ] ) );
			}
			else if ( strToLower ( $GIF_mod ) == "bin" ) {
				$this->BUF [ ] = $GIF_src [ $i ];
			}
			else {
				printf	( "%s: %s ( %s )!", $this->VER, $this->ERR [ 'ERR02' ], $GIF_mod );
				exit	( 0 );
			}
			if ( substr ( $this->BUF [ $i ], 0, 6 ) != "GIF87a" && substr ( $this->BUF [ $i ], 0, 6 ) != "GIF89a" ) {
				printf	( "%s: %d %s", $this->VER, $i, $this->ERR [ 'ERR01' ] );
				exit	( 0 );
			}
			for ( $j = ( 13 + 3 * ( 2 << ( ord ( $this->BUF [ $i ] { 10 } ) & 0x07 ) ) ), $k = TRUE; $k; $j++ ) {
				switch ( $this->BUF [ $i ] { $j } ) {
					case "!":
						if ( ( substr ( $this->BUF [ $i ], ( $j + 3 ), 8 ) ) == "NETSCAPE" ) {
							printf	( "%s: %s ( %s source )!", $this->VER, $this->ERR [ 'ERR03' ], ( $i + 1 ) );
							exit	( 0 );
						}
						break;
					case ";":
						$k = FALSE;
						break;
				}
			}
		}
		GIFEncoder::GIFAddHeader ( );
		for ( $i = 0; $i < count ( $this->BUF ); $i++ ) {
			GIFEncoder::GIFAddFrames ( $i, $GIF_dly [ $i ] );
		}
		GIFEncoder::GIFAddFooter ( );
	}
	
	function GIFAddHeader ( ) {
		$cmap = 0;

		if ( ord ( $this->BUF [ 0 ] { 10 } ) & 0x80 ) {
			$cmap = 3 * ( 2 << ( ord ( $this->BUF [ 0 ] { 10 } ) & 0x07 ) );

			$this->GIF .= substr ( $this->BUF [ 0 ], 6, 7		);
			$this->GIF .= substr ( $this->BUF [ 0 ], 13, $cmap	);
			$this->GIF .= "!\377\13NETSCAPE2.0\3\1" . GIFEncoder::GIFWord ( $this->LOP ) . "\0";
		}
	}
	
	function GIFAddFrames ( $i, $d ) {

		$Locals_str = 13 + 3 * ( 2 << ( ord ( $this->BUF [ $i ] { 10 } ) & 0x07 ) );

		$Locals_end = strlen ( $this->BUF [ $i ] ) - $Locals_str - 1;
		$Locals_tmp = substr ( $this->BUF [ $i ], $Locals_str, $Locals_end );

		$Global_len = 2 << ( ord ( $this->BUF [ 0  ] { 10 } ) & 0x07 );
		$Locals_len = 2 << ( ord ( $this->BUF [ $i ] { 10 } ) & 0x07 );

		$Global_rgb = substr ( $this->BUF [ 0  ], 13,
							3 * ( 2 << ( ord ( $this->BUF [ 0  ] { 10 } ) & 0x07 ) ) );
		$Locals_rgb = substr ( $this->BUF [ $i ], 13,
							3 * ( 2 << ( ord ( $this->BUF [ $i ] { 10 } ) & 0x07 ) ) );

		$Locals_ext = "!\xF9\x04" . chr ( ( $this->DIS << 2 ) + 0 ) .
						chr ( ( $d >> 0 ) & 0xFF ) . chr ( ( $d >> 8 ) & 0xFF ) . "\x0\x0";

		if ( $this->COL > -1 && ord ( $this->BUF [ $i ] { 10 } ) & 0x80 ) {
			for ( $j = 0; $j < ( 2 << ( ord ( $this->BUF [ $i ] { 10 } ) & 0x07 ) ); $j++ ) {
				if	(
						ord ( $Locals_rgb { 3 * $j + 0 } ) == ( ( $this->COL >> 16 ) & 0xFF ) &&
						ord ( $Locals_rgb { 3 * $j + 1 } ) == ( ( $this->COL >>  8 ) & 0xFF ) &&
						ord ( $Locals_rgb { 3 * $j + 2 } ) == ( ( $this->COL >>  0 ) & 0xFF )
					) {
					$Locals_ext = "!\xF9\x04" . chr ( ( $this->DIS << 2 ) + 1 ) .
									chr ( ( $d >> 0 ) & 0xFF ) . chr ( ( $d >> 8 ) & 0xFF ) . chr ( $j ) . "\x0";
					break;
				}
			}
		}
		switch ( $Locals_tmp { 0 } ) {
			case "!":
				$Locals_img = substr ( $Locals_tmp, 8, 10 );
				$Locals_tmp = substr ( $Locals_tmp, 18, strlen ( $Locals_tmp ) - 18 );
				break;
			case ",":
				$Locals_img = substr ( $Locals_tmp, 0, 10 );
				$Locals_tmp = substr ( $Locals_tmp, 10, strlen ( $Locals_tmp ) - 10 );
				break;
		}
		if ( ord ( $this->BUF [ $i ] { 10 } ) & 0x80 && $this->IMG > -1 ) {
			if ( $Global_len == $Locals_len ) {
				if ( GIFEncoder::GIFBlockCompare ( $Global_rgb, $Locals_rgb, $Global_len ) ) {
					$this->GIF .= ( $Locals_ext . $Locals_img . $Locals_tmp );
				}
				else {
					$byte  = ord ( $Locals_img { 9 } );
					$byte |= 0x80;
					$byte &= 0xF8;
					$byte |= ( ord ( $this->BUF [ 0 ] { 10 } ) & 0x07 );
					$Locals_img { 9 } = chr ( $byte );
					$this->GIF .= ( $Locals_ext . $Locals_img . $Locals_rgb . $Locals_tmp );
				}
			}
			else {
				$byte  = ord ( $Locals_img { 9 } );
				$byte |= 0x80;
				$byte &= 0xF8;
				$byte |= ( ord ( $this->BUF [ $i ] { 10 } ) & 0x07 );
				$Locals_img { 9 } = chr ( $byte );
				$this->GIF .= ( $Locals_ext . $Locals_img . $Locals_rgb . $Locals_tmp );
			}
		}
		else {
			$this->GIF .= ( $Locals_ext . $Locals_img . $Locals_tmp );
		}
		$this->IMG  = 1;
	}
	
	function GIFAddFooter ( ) {
		$this->GIF .= ";";
	}
	
	function GIFBlockCompare ( $GlobalBlock, $LocalBlock, $Len ) {

		for ( $i = 0; $i < $Len; $i++ ) {
			if	(
					$GlobalBlock { 3 * $i + 0 } != $LocalBlock { 3 * $i + 0 } ||
					$GlobalBlock { 3 * $i + 1 } != $LocalBlock { 3 * $i + 1 } ||
					$GlobalBlock { 3 * $i + 2 } != $LocalBlock { 3 * $i + 2 }
				) {
					return ( 0 );
			}
		}

		return ( 1 );
	}
	
	function GIFWord ( $int ) {

		return ( chr ( $int & 0xFF ) . chr ( ( $int >> 8 ) & 0xFF ) );
	}
	
	function GetAnimation ( ) {
		return ( $this->GIF );
	}
}
?>