<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class Menu {		
	function Menu(){
		$this->obj =& get_instance();
	}
	
	function load($position, $parentid=0, $type='frontend'){
		$this->obj->db->select();
		$this->obj->db->from(array('menus as m', 'menu_position as mp'));
		$where['m.menutype'] = $type;
		$where['mp.position'] = $position;
		$where['m.parentid'] = $parentid;
		$where['m.published'] = 'Y';
		$this->obj->db->where($where);
		$this->obj->db->orderby('ordering', 'ASC');
		$r = $this->obj->db->getwhere('', "m.positionid=mp.positionid");
		
		if( $r === false )
			return array();
		
		$rows = array();
		foreach( $r->result() as $row ){
			$row->submenu = $this->load($position, $row->id, $type);
			$rows[] = $row;
		}
		
		return $rows;
	}
	
	function get_current_menu(){
		$uri_string = $this->obj->uri->uri_string().'/';
	
		$this->obj->db->select();
		$r = $this->obj->db->getwhere('menus', "`link`='$uri_string'", 1);
		if( $r->num_rows() < 1 ){
			$uri_string = $this->obj->uri->slash_segment(1, 'leading').$this->obj->uri->slash_segment(2, 'leading').'/index/';
			$this->obj->db->select();
			$r = $this->obj->db->getwhere('menus', "`link`='$uri_string'", 1);
		}
		return $r->row();
	}
	
	function get_parent_menu($menuid){
		$this->obj->db->select();
		$r = $this->obj->db->getwhere('menus', "id=$menuid", 1);
		return $r->row();	
	}
	
	function get_page_title($uri_string='', $menutype='frontend'){
		$menuid = get_menuid($uri_string, $type);
		
		$this->obj->db->select('name, pagetitle');
		$r = $this->obj->db->getwhere('menus', "id=".$this->obj->db->escape($menuid));
		$row = $r->row();
		
		return $row->pagetitle != '' ? $row->pagetitle:$row->name;
	}
}
?>