<?php
class Template {	
	var $template = array();
	
	function Template(){
		$this->obj =& get_instance();
		$this->_get_templates();
	}
	
	function get($item, $section='frontend'){
		return isset($this->template[$section][$item]) ? $this->template[$section][$item]:FALSE;
	}
	
	function _default_templates(){
		$this->obj->db->select();
		$r = $this->obj->db->getwhere('templates', "t_default='1'", 1);
		$row = $r->row();
		$this->template['frontend']['name'] = $row->frontend;
		$this->template['backend']['name'] = $row->backend;
	}
	
	function _get_templates(){
		$this->_default_templates();
		$cur_template = $this->obj->config->item('cur_template');
		if( $cur_template != '' ){
			$this->template['frontend']['name'] = $cur_template;
		}
		
		$this->template['frontend']['full_url'] = $this->obj->config->item('base_url').'templates/frontend/'.$this->template['frontend']['name'].'/';
		$this->template['frontend']['full_dir'] = ROOTPATH.'templates/frontend/'.$this->template['frontend']['name'].'/';
		$this->template['frontend']['dir'] = 'frontend/'.$this->template['frontend']['name'].'/';
		$this->template['backend']['full_url'] = $this->obj->config->item('base_url').'templates/backend/'.$this->template['backend']['name'].'/';
		$this->template['backend']['full_dir'] = ROOTPATH.'templates/backend/'.$this->template['backend']['name'].'/';
		$this->template['backend']['dir'] = 'backend/'.$this->template['backend']['name'].'/';
	}
}
?>