<?php
function tinymce_init($element='fulltext'){
	if( is_array($element) )
		$element = implode(', ', $element);
	
	$obj =& get_instance();
	?>
	<script language="javascript" type="text/javascript" src="<?php echo config_item('base_url');?>js/tinymce/tiny_mce.js"></script>
<script language="javascript" type="text/javascript">
	tinyMCE.init({
		mode : "exact",
		theme : "advanced",
		elements : "<?=$element;?>",
		document_base_url : "<?php echo config_item('base_url');?>",
		plugins : "table,advimage,advlink,iespell,insertdatetime,preview,flash,paste,directionality,fullscreen,noneditable,contextmenu,wordpress",
		theme_advanced_buttons1_add_before : "cut,copy,paste,pastetext,pasteword,separator",
		theme_advanced_buttons2_add : "separator,insertdate,inserttime,separator,preview,wp_more",
		theme_advanced_buttons3_add_before : "tablecontrols,separator",
		theme_advanced_buttons3_add : "iespell,flash,separator,ltr,rtl,separator,fullscreen",
		theme_advanced_toolbar_location : "top",
		theme_advanced_toolbar_align : "left",
		theme_advanced_statusbar_location : "bottom",
		plugin_insertdate_dateFormat : "%Y-%m-%d",
		plugin_insertdate_timeFormat : "%H:%M:%S",
		extended_valid_elements : "hr[class|width|size|noshade]",
		file_browser_callback : "fileBrowserCallBack",
		paste_use_dialog : false,
		theme_advanced_resizing : true,
		theme_advanced_resize_horizontal : false,
		apply_source_formatting : true, 
		relative_urls : false,
		content_css: '<?php echo config_item('base_url');?>js/tinymce/plugins/wordpress/wordpress.css'
	});
	
	function fileBrowserCallBack(field_name, url, type, win) {
		var connector = "<?php echo config_item('base_url').slash_item(index_page());?>backend/filemgr/index/";
		var enableAutoTypeSelection = true;
		
		var cType;
		filemgr_field = field_name;
		filemgr = win;
		
		switch (type) {
			case "image":
				cType = "Image";
				break;
			case "flash":
				cType = "Flash";
				break;
			case "file":
				cType = "File";
				break;
		}
		
		if (enableAutoTypeSelection && cType) {
			connector += cType;
		}
		
		x = parseInt(screen.width / 2.0) - (700 / 2.0);
		y = parseInt(screen.height / 2.0) - (550 / 2.0) - 30;
		
		window.open(connector, "filemgr", "modal, width=700, height=550, scroolbar=1, top="+ y +", left="+ x);
	}
</script>
	<?php	
}
?>