<?php
$base_url = $this->template->get('full_url', 'backend');

$height = $message ? 220:320;
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title><?=@$page_title;?></title>
<link rel="stylesheet" href="<?=$base_url;?>css/standard.css" type="text/css" />
<link rel="stylesheet" href="<?=$base_url;?>css/right.css" type="text/css" />
<link rel="stylesheet" href="<?=$base_url;?>css/filemgr.css" type="text/css" />
<script language="javascript" src="<?=$base_url;?>js/function2.js" type="text/javascript"></script>
<script language="javascript" type="text/javascript" src="<?=$this->config->item('base_url');?>js/iwm_js.js"></script>
<script language="javascript" type="text/javascript">
function open_file( fileUrl )
{
	window.top.opener.filemgr.document.forms[0].elements[window.top.opener.filemgr_field].value = fileUrl;
	
	if (window.top.opener.filemgr.document.forms[0].elements[window.top.opener.filemgr_field].onchange != null) {
		window.top.opener.filemgr.document.forms[0].elements[window.top.opener.filemgr_field].onchange();
	}
	
	window.top.close();
	window.top.opener.filemgr.focus();
}

function open_folder(folder){
	f = document.admin_form;
	
	f.folder.value = folder;
	
	submit_form('openfolder'); 
}

function resize_container(){
	f = document.admin_form;
	
	if( f.boxchecked.value == '0' ){
		obj = document.getElementById('file-list');
		if( obj ){
			obj.className = 'fixed-size';
		}
	}
}
</script>
<style type="text/css">
.fixed-size {
	height: 220px !important;
	border: 1px solid #777;
	padding: 5px;
	margin: 0;
	clear: both;
	overflow: auto;
}

.fixed {
	height: <?=$height;?>px !important;
	overflow: auto;
}
</style>
<body>
<div id="right-main">
	<div id="status-bar"></div>
  	<h1 id="page-title"><?=@$page_title;?></h1>
	<div id="button-bar"><?=@$button;?></div>
	<div class="separator"></div>
	<div id="message">
		<?php
		if( is_array($message) ){
			if( $message['class'] == 'error' )
				$e_title = 'KESALAHAN';
			if( $message['class'] == 'warning' )
				$e_title = 'PERINGATAN';
			if( $message['class'] == 'ok' )
				$e_title = 'BERHASIL';
		?>
		<div class="<?=@$message['class'];?>">
			<h3><?=@$e_title;?>:</h3>
			<p><?=@$message['text'];?></p>
		</div>
		<?php
		} else 
			echo @$message;
		?>
	</div>
	<?php
	if( $is_error !== true ){
	?>
  	<div class="border fixed" id="file-list">
    	<?=@$html;?>
  	</div>
	<br />
	<div class="border">
    	<?=@$nform;?>
  	</div>
	<?php
	}
	?>
</div>
<div id="loading">
	<img src="<?=$this->template->get('full_url', 'backend');?>images/loading24x24.gif" alt="loading">
	<p>Loading...</p>
</div>
<div id="alert">
	<h3>KONFIRMASI</h3>
	<p>Apakah Anda yakin akan menghapus data tersebut?</p>
	<div id="button-bar">
		<input type="button" name="submit" value="Ya" class="button" onclick="confirm_answer('Y');" onmouseover="this.className='button-hover'" onmouseout="this.className='button'" />&nbsp;&nbsp;
		<input type="button" name="submit" value="Tidak" class="button" onclick="confirm_answer('N');" onmouseover="this.className='button-hover'" onmouseout="this.className='button'" />
	</div>
</div>
</body>
</html>