<?php
function _get_admin_menu($parentid = 0){
	$obj =& get_instance();
	
	$gid = get_session_item('gid', 'backend');
	$groupid = get_session_item('groupid', 'backend');
	$obj->db->select('menuid');
	$r = $obj->db->getwhere('group_access', "groupid=$groupid AND gid=$gid AND (`write`='Y' OR `read`='Y' || `delete`='Y' || `modify`='Y')");
	$access = array();
	
	foreach( $r->result() as $row ){
		$access[] = $row->menuid;
	}
	
	if( count($access) == 1 && $access[0] == 0 ){
		$where = "1";
	} else {
		$in = implode(',', $access);
		$where = "id IN ($in)";
	}
	$rows = array();
	$obj->db->select();
	$obj->db->orderby('ordering');
	$r = $obj->db->getwhere('menus', "menutype='backend' AND published='Y' AND parentid='$parentid' AND $where");
	if( $r->num_rows() < 1 ){
		return $rows;
	}
	
	foreach( $r->result() as $i => $row ){
		$rows[$i] = $row;
		$rows[$i]->submenus = _get_admin_menu($row->id);
	}
	
	return $rows;
}

$menus = _get_admin_menu();

show_menu($menus);

function show_menu($menus){
?>
	<ul id="parent">
	<?php
	for( $i=0; $i<count($menus); $i++ ){
		$menu = $menus[$i];
		if( count($menu->submenus) < 1 ){
		?>
		<li class="subhidden"><a href="<?php echo site_url2($menu->link); ?>" target="mainFrame" onclick="Loading(); this.blur();"><?php echo $menu->name; ?></a></li>
		<?php
		} else {
		?>
		<li class="subshow" id="parent-<?php echo $menu->id;?>"><a href="javascript: void(null);" onclick="toggleView('sub-menu-<?php echo $menu->id;?>'); this.blur();"><?php echo $menu->name; ?></a>
		<?php
			if( isset($menu->submenus) && count($menu->submenus) > 0 ){
				show_submenu($menu->submenus, $menu->id);
			}
		?>
		</li>
		<?php
		}
	}
	?>
	</ul>
<?php
}

function show_submenu($menus, $parentid){
?>
	<ul class="sub-menu" id="sub-menu-<?php echo $parentid;?>">
	<?php
	for( $i=0; $i<count($menus); $i++ ){
		$menu = $menus[$i];
		if( count($menu->submenus) < 1 ){
		?>
		<li class="subhidden"><a href="<?php echo site_url2($menu->link); ?>" target="mainFrame" onclick="Loading(); this.blur();"><?php echo $menu->name; ?></a></li>
		<?php
		} else {
		?>
		<li class="subshow" id="parent-<?php echo $menu->id;?>"><a href="javascript: void(null);"><?php echo $menu->name; ?></a>
		<?php
			if( isset($menu->submenus) && count($menu->submenus) > 0 ){
				show_submenu($menu->submenus, $menu->id);
			}
		?>
		</li>
		<?php
		}
	}
	?>
	</ul>
<?php
}
?>