<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

$obj =& get_instance();
$obj->load->model('ads_model','','ads');
$cats = $obj->ads_model->get_category_for_list();

if(!function_exists("category_selector")){
        function category_selector($cats, $def){
                if( !is_array($cats) ){
                        return '';
                }
                ob_start();
                foreach( $cats as $cat ){
                ?>
                <option value="<?=$cat->catid;?>"<?=$def==$cat->catid ? ' selected="selected"':''; ?><?=count($cat->subcats)>0 ? ' disabled="disabled"':'';?>><?=$cat->name;?></option>
                <?php
                        foreach( $cat->subcats as $subcat ){
                        ?>
                <option value="<?=$subcat->catid;?>"<?=$def==$subcat->catid ? ' selected="selected"':''; ?>>&nbsp;&nbsp;<?=$subcat->name;?></option>
                <?php
                        }
                }
                $html = ob_get_contents();
                ob_end_clean();
                return $html;
        }
}
?>
<script type="text/javascript">
        <!--
        function goSubmitIklan(){
                document.getElementById('task').value = 'Silahkan tunggu...';
                document.getElementById('task').disabled = true;
        }
        function hide_form(){
                var a = document.getElementById('submitIklan');
                a.title.value   = '';
                a.content.value = '';
                a.website.value = '';
                a.tags.value    = '';
                a.name.value    = '';
                a.email.name    = '';
                a.phone.name    = '';
                a.city.name             = '';
                a.style.display = 'none';
        }
        function show_form()
        {
                var a = document.getElementById('submitIklan');
                a.style.display = 'block';

                var b = document.getElementById('status-msg');
                b.innerHTML = '';
                b.style.display = 'none';
        }
        function showAdsMessage(html){
                var a = document.getElementById('status-msg');
                a.style.display = 'block';
                a.innerHTML = '';
                a.innerHTML = html;

                document.getElementById('task').value = 'Pasang';
                document.getElementById('task').disabled = false;
        }

        function showprice(obj){
                if( obj.value == 'premium' ){
                        document.getElementById('premium-ads').style.display='block';
                } else {
                        document.getElementById('premium-ads').style.display='none';
                }
        }
        -->
</script>
<div class="pasang-iklan">
        <h3><span>Pasang Iklan</span></h3>
        <form method="post" action="<?php echo site_url("/ads/step1");?>" enctype="multipart/form-data" class="contactForm" id="submitIklan" name="submitIklan" target="adsAction" onsubmit="goSubmitIklan();">
                <input type="hidden" name="dosubmit" value="1" />
                <?php if( $obj->config->item('ads_enablepremium') != 'Y' ){ ?>
                <input type="hidden" name="type" value="free" />
                <?php } ?>
                <table border="0" cellpadding="0" cellspacing="0" width="100%">
                        <tbody>
                                <?php if( $obj->config->item('ads_enablepremium') == 'Y' ){     ?>
                                <tr>
                                        <td>Type Iklan:</td>
                                        <td><select name="type" class="text" onchange="showprice(this);">
                                                        <option value="free"<?=($row->type=='free' || !isset($row->typeiklan)) ? ' selected="selected"':'';?>>Iklan Gratis</option>
                                                        <option value="premium"<?=($row->type=='premium') ? ' selected="selected"':'';?>>Iklan Premium</option>
                                                </select>
                                                <div id="premium-ads"<?=($row->type=='premium') ? ' style="display: block;"':' style="display: none;"';?>>
                                                        <p>Lama Langganan:
                                                                <select name="masatayang" class="text">
                                                                <?php
                                                                for($i=1; $i<=$obj->config->item('ads_maxmonth'); $i++){
                                                                        $price = $i * $obj->config->item('ads_premiumprice');
                                                                ?>
                                                                        <option value="<?=$i;?>"<?=$row->masatayang==$i ? ' selected="selected"':'';?>><?=$i;?> bulan (Rp <?=format_uang($price);?>)</option>
                                                                <?php } ?>
                                                                </select>
                                                        </p>
                                                        <p><small>Harga iklan premium: Rp <?=format_uang($obj->config->item('ads_premiumprice'));?> per bulan (30 hari)</small></p>
                                                </div></td>
                                </tr>
                                <?php
                                }
                                ?>
                                <tr>
                                        <td>Kategori Iklan *):</td>
                                        <td><select name="catid" class="text">
                                                        <option value="">Pilih Kategori</option>
                                                        <?=category_selector($cats, $row->catid);?>
                                                </select></td>
                                </tr>
                                <tr>
                                        <td>Judul Iklan *):</td>
                                        <td><input  class="text" name="title" value="" type="text" maxlength="128" style="width: 180px;" /></td>
                                </tr>
                                <tr>
                                        <td>Isi Iklan *):</td>
                                        <td><textarea rows="7" name="content" style="width: 180px;" cols="15" class="text"></textarea></td>
                                </tr>
                                <tr>
                                        <td>Website:</td>
                                        <td><span style="width: 30px; padding-right: 5px;">http://</span>
                                                <input class="text" name="website" value="" type="text" style="width: 140px;" /></td>
                                </tr>
                                <tr>
                                        <td>Label/Tag:</td>
                                        <td><input  class="text" name="tags" value="" type="text" maxlength="255" style="width: 180px;" />
                                                <br />
                                                <small>Kata atau phrase yang mewakili iklan Anda, pisahkan dengan koma (,).<br />
                                                Contoh: <strong>iklan, free ads</strong></small></td>
                                </tr>
                                <tr>
                                        <td>Gambar:</td>
                                        <td><input  class="text" name="image" type="file" size="10" />
                                                <br />
                                                <small>File yang diijinkan hanya <strong>gif</strong>, <strong>jpg</strong> dan <strong>png</strong></small></td>
                                </tr>
                                <tr>
                                        <td style="width: 34%;">Nama *):</td>
                                        <td><input class="text" name="name" value="" type="text" maxlength="32" style="width: 180px;" /></td>
                                </tr>
                                <tr>
                                        <td>Email *):</td>
                                        <td><input class="text" name="email" value="" type="text" maxlength="255" style="width: 180px;" /></td>
                                </tr>
                                <tr>
                                        <td>Kota:</td>
                                        <td><input class="text" name="city" value="" type="text" maxlength="255" style="width: 180px;" /></td>
                                </tr>
                                <tr>
                                        <td>No. Telepon/HP:</td>
                                        <td><input class="text" name="phone" value="" type="text" maxlength="255" style="width: 150px;" /></td>
                                </tr>
                                <tr>
                                        <td>&nbsp;</td>
                                        <td><input name="task" id="task" value="Pasang" class="button" type="submit" /></td>
                                </tr>
                        </tbody>
                </table>
        </form>
        <iframe name="adsAction" id="adsAction" height="0" width="0" frameborder="0"></iframe>
        <div id="status-msg" style="display:none;"></div>
</div>

