<?php
$CI =& get_instance();
$CI->load->model('ads_model', 'adsm', 'ads');
$premiums = $CI->adsm->get_premium_ads();

$CI->load->helper('text');

if( count($premiums) > 0 ):
?>
<div class="iklan-baris" id="iklan-baris-premium">
	<?php
	foreach( $premiums as $row ):
		$localtime = gmt_to_local($row->created_date, $CI->config->item('time_zone'));
		$tags = array();
		foreach( $row->tags as $tag ){
			$tags[] = '<a href="'.site_url2('/tag/'.$tag->slug.'/').'">'.htmlspecialchars(utf8_strip_non_ascii_ctrl($tag->tag)).'</a>';
		}
	?>
	<div class="iklan-baris-item">
		<h3><a href="<?=site_url('/iklan/'.$row->slug.'/');?>"><?=htmlspecialchars(utf8_strip_non_ascii_ctrl($row->title));?></a></h3>
		<div class="iklan-baris-date"><?php echo mdate('%d %F %Y %H:%i', $localtime); ?> | dibaca <?=$row->hits;?> kali</div>
		<div class="iklan-baris-content">
			<p><?php
			if( $row->image != '' && is_file(ROOTPATH.'images/iklan/'.$row->image) ){
			?>
			<img src="<?=base_url();?>images/iklan/<?=$row->image;?>" alt="" />
			<?php
			}
			
			echo word_limiter(htmlspecialchars(utf8_strip_non_ascii_ctrl($row->content)), 50);
			?></p>
		</div>
		<div class="iklan-baris-info">Dikirim oleh: <?=$row->name!='' ? $row->name:'';?><?=$row->city!='' ? ', '.$row->city:'';?><?=$row->phone!='' ? ', '.$row->phone:'';?><?=($row->website != '' && ($row->website != 'http://' || $row->website != 'https://')) ? ' | '.anchor(prep_url($row->website), 'Kunjungi Website', 'target="_blank" rel="nofollow"'):'';?>
		<br />Terdapat pada: <a href="<?=site_url2('/kategori/'.(!empty($row->cat->parentslug) ? $row->cat->parentslug.'/':'').$row->cat->slug.'/');?>"><?=$row->cat->name;?></a>, <?=implode(', ', $tags);?></div>
	</div>
	<div class="iklan-premium-text"><span>Iklan Premium</span></div>
	<?php endforeach; ?>
</div>
<?php endif; ?>