<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

function category_selector($cats, $def){
        if( !is_array($cats) ){
                return '';
        }
        ob_start();
        foreach( $cats as $cat ){
                ?>
                <option value="<?=$cat->catid;?>"<?=$def==$cat->catid ? ' selected="selected"':''; ?><?=count($cat->subcats)>0 ? ' disabled="disabled"':'';?>><?=$cat->name;?></option>
                <?php
                foreach( $cat->subcats as $subcat ){
                        ?>
                        <option value="<?=$subcat->catid;?>"<?=$def==$subcat->catid ? ' selected="selected"':''; ?>>&nbsp;&nbsp;<?=$subcat->name;?></option>
                        <?php
                }
        }
        $html = ob_get_contents();
        ob_end_clean();
        return $html;
}
?>
<h1><?php echo $page_title; ?></h1>
<p>Silahkan lengkapi form di bawah ini untuk memasang iklan. Bagian bertanda *) berarti harus Anda isi.</p>
<?php
if( $error_msg ){
?>
<div class="form-message form-error">
        <h3>Kesalahan:</h3>
        <p><?=$error_msg;?></p>
</div>
<?php
}

if( $success_msg ){
?>
<div class="form-message form-succes">
        <h3>Berhasil:</h3>
        <p><?=$success_msg;?></p>
</div>
<?php
}
?>
<script language="javascript" type="text/javascript">
function showprice(obj){
        if( obj.value == 'premium' ){
                document.getElementById('premium-ads').style.display='block';
        } else {
                document.getElementById('premium-ads').style.display='none';
        }
}
</script>
<form method="post" action="" enctype="multipart/form-data">
        <?php
        if( $this->config->item('ads_enablepremium') != 'Y' ){
        ?>
        <input type="hidden" name="type" value="free" />
        <?php
        }
        ?>
  <table border="0" cellpadding="0" cellspacing="0" width="100%">
    <tbody>
        <tr>
                <td style="width: 24%;">Nama *):</td>
                <td><input class="text" name="name" value="<?=$row->name;?>" type="text" maxlength="32" style="width: 300px;" /></td>
     </tr>
        <tr>
                <td>Email *):</td>
                <td><input class="text" name="email" value="<?=$row->email;?>" type="text" maxlength="255" style="width: 300px;" /></td>
     </tr>
         <tr>
                <td>Kota:</td>
                <td><input class="text" name="city" value="<?=$row->city;?>" type="text" maxlength="255" style="width: 300px;" /></td>
     </tr>
         <tr>
                <td>No. Telepon/HP:</td>
                <td><input class="text" name="phone" value="<?=$row->phone;?>" type="text" maxlength="255" style="width: 150px;" /></td>
     </tr>
        <?php
        if( $this->config->item('ads_enablepremium') == 'Y' ){
        ?>
        <tr>
                <td>Type Iklan:</td>
                <td><select name="type" class="text" onchange="showprice(this);">
                        <option value="free"<?=($row->type=='free' || !isset($row->typeiklan)) ? ' selected="selected"':'';?>>Iklan Gratis</option>
                        <option value="premium"<?=($row->type=='premium') ? ' selected="selected"':'';?>>Iklan Premium</option>
                </select>
                <div id="premium-ads"<?=($row->type=='premium') ? ' style="display: block;"':' style="display: none;"';?>>
                <p>Lama Langganan:
                <select name="masatayang" class="text">
                        <?php
                        for($i=1; $i<=$this->config->item('ads_maxmonth'); $i++){
                                $price = $i * $this->config->item('ads_premiumprice');
                                ?>
                                <option value="<?=$i;?>"<?=$row->masatayang==$i ? ' selected="selected"':'';?>><?=$i;?> bulan (Rp <?=format_uang($price);?>)</option>
                                <?php
                        }
                        ?>
                </select></p>
                <p><small>Harga iklan premium: Rp <?=format_uang($this->config->item('ads_premiumprice'));?> per bulan (30 hari)</small></p>
                </div></td>
        </tr>
        <?php
        }
        ?>
        <tr>
                <td>Kategori Iklan *):</td>
                <td><select name="catid" class="text">
                        <option value="">Pilih Kategori</option>
                        <?=category_selector($cats, $row->catid);?></select></td>
        </tr>
        <tr>
                <td>Judul Iklan *):</td>
                <td><input  class="text" name="title" value="<?=$row->title;?>" type="text" maxlength="128" style="width: 300px;" /></td>
        </tr>
      <tr>
        <td>Website:</td>
        <td><span style="width: 35px; padding-right: 5px;">http://</span><input class="text" name="website" value="<?=$row->website;?>" type="text" style="width: 265px;" /></td>
      </tr>
      <tr>
        <td>Isi Iklan *):</td>
        <td><textarea rows="12" name="content" style="width: 300px;" cols="15" class="text"><?=$row->content;?></textarea></td>
      </tr>
          <tr>
        <td>Label/Tag:</td>
        <td><input  class="text" name="tags" value="<?=$row->tags;?>" type="text" maxlength="255" style="width: 300px;" /><br /><small>Kata atau phrase yang mewakili iklan Anda, pisahkan dengan koma ( , ).<br />Contoh: <strong>iklan, free ads</strong></small></td>
      </tr>
           <tr>
        <td>Gambar:</td>
        <td><input  class="text" name="image" type="file" size="30" style="width: 250px;" />
                <br /><small>File yang diijinkan hanya <strong>gif</strong>, <strong>jpg</strong> dan <strong>png</strong></small></td>
      </tr>
      <tr>
        <td>Kode Captcha *):</td>
        <td><img src="<?=site_url2('/captcha/index/'.md5('submitads').'/'.time().'/');?>" alt="" />
                <br />
        <input size="7" class="text" name="scode" type="text" />
        </td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td><input name="task" value="Pasang" class="button" type="submit" />
          <input value="Ulang" class="button" type="reset" /></td>
      </tr>
    </tbody>
  </table>
</form>
