<?php
$this->load->helper('text');

$tags = array();
foreach( $row->tags as $tag ){
	$tags[] = '<a href="'.site_url2('/tag/'.$tag->slug.'/').'">'.htmlentities2(utf8_strip_non_ascii_ctrl($tag->tag)).'</a>';
}

$localtime = gmt_to_local($row->create_date, $this->config->item('time_zone'));
?>
<h2><?=htmlentities2(utf8_strip_non_ascii_ctrl($row->title));?></h2>
<div class="iklan-baris-date"><?php echo mdate('%d %F %Y %H:%i', $localtime); ?> | dibaca <?=$row->hits;?> kali</div>
<p><?php
if( $row->image != '' && is_file(ROOTPATH.'images/iklan/'.$row->image) ){
?>
<img src="<?=base_url();?>images/iklan/<?=$row->image;?>" alt="" />
<?php
}

echo nl2br(htmlentities2(utf8_strip_non_ascii_ctrl($row->content)));
?>
</p>
<div class="iklan-baris-info">



<br>Dikirim oleh: <?=$row->name!='' ? $row->name:'';?><?=$row->city!='' ? ', '.$row->city:'';?><?=$row->phone!='' ? ', '.$row->phone:'';?><?=($row->website != '' && ($row->website != 'http://' || $row->website != 'https://')) ? ' | '.anchor(prep_url($row->website), 'Kunjungi Website', 'target="_blank" rel="nofollow"'):'';?>
		<br />Terdapat pada: <a href="<?=site_url2('/kategori/'.(!empty($row->cat->parentslug) ? $row->cat->parentslug.'/':'').$row->cat->slug.'/');?>"><?=$row->cat->name;?></a>, <?=implode(', ', $tags);?></div>
<div style="height:30px;"></div>
<?php if( count($row->related) > 0 ): ?>
<div class="iklan-baris" id="iklan-baris-terkait">
	<h4>Iklan Terkait</h4>
	<div class="iklan-baris-item">
		<ul>
			<?php foreach( $row->related as $val ): ?>
			<li><a href="<?=site_url('/iklan/'.$val->slug.'/');?>"><?=$val->title;?></a><br />
			<?php echo word_limiter(htmlspecialchars(utf8_strip_non_ascii_ctrl($val->content)), 20); ?></li>
			<?php endforeach; ?>
		</ul>
	</div>
</div>
<?php endif; ?>