<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class Blockmgr extends Controller {
	function Blockmgr() {
		parent::Controller();
		$this->_check_session('backend');
		$this->load->model('Block_model', 'model');
	}
	
	function index(){
		if( current_user_permision('read') === false )
			noauth();
		
		if( $this->input->post('task') == 'published' ){
			$this->model->published('Y');
			redirect('/backend/blockmgr/index/');
		}
		if( $this->input->post('task') == 'unpublished' ){
			$this->model->published('N');
			redirect('/backend/blockmgr/index/');
		}		
		if( $this->input->post('task') == 'delete' ){
			$this->model->delete();	
			$msg = $this->model->_get_message();
			$this->session->set_userdata(array('message'=>$msg));		
			redirect('/backend/blockmgr/index/');
		}
		
		$row['rows'] = $this->model->load_list();
		$data['page_title'] = $this->menu->get_page_title('', 'backend');
		$data['message'] = $this->session->userdata('message');
		$this->session->unset_userdata('message');
		$data['button'] = $this->model->buttonlist();
		$data['html'] = $this->load->cview('block-list', $row, true);
		$this->load->view($this->template->get('dir', 'backend').'layout', $data);
	}
	
	function add(){
		if( current_user_permision('write', '/backend/blockmgr/index/') === false )
			noauth();
		
		$this->edit();
	}
	
	function edit($id=''){
		if( current_user_permision('modify', '/backend/blockmgr/index/') === false && $id )
			noauth();
		
		if( $this->input->post('task') == 'save' ){
			if( $this->model->validate() === false ){
				$data['message'] = $this->model->_get_message();
			} 
			elseif( $this->model->store() === false ){
				$data['message'] = $this->model->_get_message();
			} 
			else {
				$msg = $this->model->_get_message();
				$this->session->set_userdata(array('message'=>$msg));
								
				redirect('/backend/blockmgr/index/');
			}
		}
		
		$row['row'] = $this->model->load($id);
		$data['page_title'] = $this->menu->get_page_title('/backend/blockmgr/index/', 'backend').($id ? ' :: Edit':' :: Tambah');
		$data['button'] = $this->model->buttonadd();
		$data['html'] = $this->load->cview('block-add', $row, true);
		$this->load->view($this->template->get('dir', 'backend').'layout', $data);
	}
}
?>