<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class Contact_frontend extends Model {
	function Contact_frontend(){
		parent::Model();
	}
	
	function load_address(){
		
		$this->db->select("fulladdress");
		$table = "contact_config";
		$r = $this->db->getwhere($table,"id = 1");
		$row = $r->row();
		
		return $row;
	}

	function validation(){
		$post['name'] 	 = $this->input->post('name');
		$post['address'] = $this->input->post('address');
		$post['email']	 = $this->input->post('email');
		$post['website'] = $this->input->post('website');
		$post['message'] = $this->input->post('message');
		$post['captcha'] = $this->input->post('captcha');

		if( trim($post['name']) == '' ){
			$this->message['form']   = 'form-error' ;
			$this->message['status'] = 'Kesalahan' ;
			$this->message['text']   = 'Anda belum mengisi nama anda.';
			return false;
		}
		if( trim($post['address']) == '' ){
			$this->message['form']   = 'form-error' ;
			$this->message['status'] = 'Kesalahan' ;
			$this->message['text']   = 'Anda belum mengisi alamat anda.';
			return false;
		}
		if( trim($post['email']) == '' ){
			$this->message['form']   = 'form-error' ;
			$this->message['status'] = 'Kesalahan' ;
			$this->message['text']   = 'Anda belum mengisi alamat email anda.';
			return false;
		}
		if( !preg_match("/^([a-z0-9\+_\-]+)(\.[a-z0-9\+_\-]+)*@([a-z0-9\-]+\.)+[a-z]{2,6}$/ix", $post['email']) ){
			$this->message['form']   = 'form-error' ;
			$this->message['status'] = 'Kesalahan' ;
			$this->message['text']   = 'Email yang anda masukkan tidak valid.';
			return false;
		}
		if( trim($post['message']) == '' ){
			$this->message['form']   = 'form-error' ;
			$this->message['status'] = 'Kesalahan' ;
			$this->message['text']   = 'Anda belum mengisi pesan anda.';
			return false;
		}
		
		$params['sessvar'] = md5('captchacontact');
		$this->load->library('iwmcaptcha', $params);
		if( $this->iwmcaptcha->validate($post['captcha']) === false ){
			$this->message['form']   = 'form-error' ;
			$this->message['status'] = 'Kesalahan' ;
			$this->message['text']   = 'Security Code yang anda masukkan salah.';
			return false;
		}
		return true;
	}

	function store(){
		$post['name'] 	 = $this->input->post('name');
		$post['address'] = $this->input->post('address');
		$post['email']	 = $this->input->post('email');
		$post['website'] = $this->input->post('website');
		$post['phone'] = $this->input->post('phone');
		$post['message'] = nl2br($this->input->post('message'));
		$post['datesend'] = now();
		
		$r = $this->db->insert('contact', $post);
		if( $r === false ){
			$this->message['form']   = 'form-error' ;
			$this->message['status'] = 'Kesalahan' ;
			$this->message['text']   = 'Pesan anda tidak dapat di proses. Silahkan ulangi beberapa saat lagi.';
			return false;
		}
		$this->message['form']   = 'form-succes' ;
		$this->message['status'] = 'Proses Berhasil' ;
		$this->message['text']   = 'Terima Kasih. Pesan anda telah tersimpan dalam database kami.';
		return true;
	}

	
}
?>