<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class Emailtemplate extends Controller {
	function Emailtemplate() {
		parent::Controller();
		$this->_check_session('backend');
		$this->load->model('Et_model', 'model');
	}
	
	function index(){
		if( current_user_permision('read') === false )
			noauth();
		
		if( $this->input->post('task') == 'published' ){
			$this->model->published('Y');
			redirect('/backend/emailtemplate/index/');
		}
		
		if( $this->input->post('task') == 'unpublished' ){
			$this->model->published('N');
			redirect('/backend/emailtemplate/index/');
		}
		
		if( $this->input->post('task') == 'delete' ){
			$this->model->delete();
			$this->session->set_userdata(array('message'=>$this->model->_get_message()));
			redirect('/backend/emailtemplate/index/');
		}
		
		$row['rows'] = $this->model->load_list();
		$data['page_title'] = 'Daftar Email Template';
		$data['message'] = $this->session->userdata('message');
		$this->session->unset_userdata('message');
		$data['html'] = $this->load->cview('dsp-et-list', $row, true);
		$data['button'] = $this->model->buttonlist();
		$this->load->view($this->template->get('dir', 'backend').'layout', $data);
	}
	
	function add(){
		if( current_user_permision('write', '/backend/emailtemplate/index/') === false )
			noauth();
		
		$this->edit('');
	}
	
	function edit($id){
		if( current_user_permision('modify', '/backend/emailtemplate/index/') === false && $id )
			noauth();
		
		if( $this->input->post('task') == 'save' ){
			if( $this->model->validation() === false ){
				$data['message'] = $this->model->_get_message();
			}
			elseif( $this->model->store() === false ){
				$data['message'] = $this->model->_get_message();
			}
			else {
				$msg = $this->model->_get_message();
				$this->session->set_userdata(array('message'=>$msg));
				redirect('/backend/emailtemplate/index/');
			}
		}
		$this->load->plugin('tinymce'); // load tinymce plugins
		$r['row'] = $this->model->load($id);
		$data['page_title'] = @$id ? 'Edit Email Template':'Tambah Email Template';
		$data['button'] = $this->model->buttonadd();
		$data['html'] = $this->load->cview('dsp-et-form', $r, true);
		$this->load->view($this->template->get('dir', 'backend').'layout', $data);
	}
}
?>