<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');
?>
<h1 class="content-title"><?=$page_title;?></h1>
<?php
if( $error_msg ){
?>
<div class="form-message form-error">
	<h3>Kesalahan:</h3>
	<p><?=$error_msg;?></p>
</div>
<?php
}

if( $success_msg ){
?>
<div class="form-message form-succes">
	<h3>Berhasil:</h3>
	<p><?=$success_msg;?></p>
</div>
<?php
}
?>
<form method="post" action="" enctype="multipart/form-data">
	<table width="100%" cellpadding="0" cellspacing="0" border="0">
		<tr>
			<td width="30%">Teks Anchor: *)</td>
			<td><input class="text" type="text" name="anchor" id="anchor" value="<?=htmlentities($row->anchor);?>" size="50" style="width: 250px;" maxlength="<?php echo $this->config->item('link_maxanchor'); ?>" />
			<br /><small>Teks yang akan tampil pada link ke website Anda. Maksimal <?php echo $this->config->item('link_maxanchor'); ?> karakter.</small></td>
		</tr>
		<tr>
			<td>Website: *)</td>
			<td><input class="text" type="text" name="link" id="link" value="<?=$row->link;?>" size="50" style="width: 250px;" />
			<br /><small>mohon sertakan http://, contoh: http://www.domain-anda.tld</small></td>
		</tr>
		<tr>
			<td>Lama pemasangan: *)</td>
			<td><input class="text" type="text" name="period" id="period" value="<?=intval($row->period) <= 0 ? 1:intval($row->period);?>" size="50" style="width: 80px; text-align:right;" /> bulan.<br /><small>Biaya pemasangan Rp <?php echo format_uang($this->config->item('link_price')); ?> per bulan</small></td>
		</tr>
		<tr>
			<td>Nama: *)</td>
			<td><input class="text" type="text" name="name" id="name" value="<?=htmlentities($row->name);?>" size="50" style="width: 250px;" /></td>
		</tr>
		<tr>
			<td>Email: *)</td>
			<td><input class="text" type="text" name="email" id="email" value="<?=$row->email;?>" size="50" style="width: 250px;" /></td>
		</tr>
		<tr>
			<td>Phone:</td>
			<td><input class="text" type="text" name="phone" id="phone" value="<?=$row->phone;?>" size="50" style="width: 250px;" /></td>
		</tr>
		<tr>
			<td>Kode Captcha: *)</td>
			<td><img src="<?=site_url2('/captcha/index/'.md5('orderlink').'/'.time().'/');?>" alt="" /> <br />
				<input size="7" class="text" name="scode" type="text" />
			</td>
		</tr>
		<tr>
			<td>&nbsp;</td>
			<td><input name="task" value="Pasang" class="button" type="submit" /></td>
		</tr>
	</table>
</form>