<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

function parent_selector($menus, $selected){
	if( !is_array($menus) )
		$menus = array();
	
	$form = "<select name=\"parentid\">\n";
	$sel = ($selected != 0) ? '' : ' selected="selected"';
	$val = 'Parent';
	$form .= '<option value="0"'.$sel.'>'.$val."</option>\n";
	foreach ($menus as $key => $val)
	{
		$id = (string) $val->id;
		$name = (string) $val->name;
		
		$sel = ($selected != $id) ? '' : ' selected="selected"';
		
		$form .= '<option value="'.$id.'"'.$sel.'>'.$name."</option>\n";
	}

	$form .= '</select>';
	
	return $form;
}

function position_selector($positions, $selected){
	if( !is_array($positions) )
		$positions = array();
	
	$selected = empty($selected) ? 1:$selected;
	$form = "<select name=\"positionid\">\n";
	foreach ($positions as $key => $val)
	{
		$id = (string) $val->positionid;
		$name = (string) $val->position;
		
		$sel = ($selected != $id) ? '' : ' selected="selected"';
		
		$form .= '<option value="'.$id.'"'.$sel.'>'.$name."</option>\n";
	}

	$form .= '</select>';
	
	return $form;
}

?>
<form action="javascript: void(null);" method="post" name="admin_form" id="admin_form">
	<input type="hidden" name="id" value="<?=$row->id;?>" />
	<input type="hidden" name="menutype" value="<?=$menutype;?>" />
	<input type="hidden" name="backsegment" value="<?=$this->uri->uri_string();?>" />
	<input type="hidden" name="task" value="" />
	<table width="100%" cellpadding="3" cellspacing="0" border="0">
		<tr>
			<td width="15%">Menu Parent:</td>
			<td width="85%"><?=parent_selector($parent, $parentid);?></td>
		</tr>
		<?php
		if( $menutype == 'frontend' ){
		?>
		<tr>
			<td width="15%">Group Menu:</td>
			<td width="85%"><?=position_selector($positions, $row->positionid);?></td>
		</tr>
		<?php
		}
		?>
		<tr>
			<td width="15%">Nama Menu:</td>
			<td width="85%">
			<input type="text" name="name" id="name" value="<?=$row->name;?>" maxlength="50" size="50"  />
			</td>
		</tr>
		<tr>
			<td width="15%">Judul Halaman:</td>
			<td width="85%">
			<input type="text" name="pagetitle" id="pagetitle" value="<?=$row->pagetitle;?>" maxlength="255" size="50"  />
			</td>
		</tr>
		<tr>
			<td width="15%">Link:</td>
			<td width="85%">
			<input type="text" name="link" id="link" value="<?=$row->link;?>" size="50"  /> 
			</td>
		</tr>
		<tr>
			<td width="15%">Publish :</td>
			<td width="85%">
			<input class="checkbox" type="checkbox" id="published" name="published" value="Y"<?=$row->published=='Y' ? ' checked="checked"':'';?> /> <label for="published">Ya</label>
			</td>
		</tr>
	</table>
</form>