<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class Template_model extends Model {	
	function Template_model(){
		parent::Model();
	}
	
	function load_template($type='frontend'){
		$cur = $this->get_template($type);
		$path = ROOTPATH.'templates/'.$type.'/';
		$d = dir($path);
		while (false !== ($entry = $d->read())) {
			if( $entry == '.' || $entry == '..' )
				continue;
			
			if( !file_exists($path.$entry.'/template.php') )
				continue;
		   	
			if( $entry == $cur ){
				$templates['current'] = $entry;
			} else {
				$templates['others'][] = $entry;
			}
		}
		$d->close();
		
		return $templates;
	}
	
	function get_templates($type='frontend'){
		$templates = array();
		$path = ROOTPATH.'templates/'.$type.'/';
		$d = dir($path);
		while (false !== ($entry = $d->read())) {
			if( $entry == '.' || $entry == '..' )
				continue;
			
			if( !file_exists($path.$entry.'/template.php') )
				continue;
		   	
			$templates[$entry] = $entry;
		}
		$d->close();
		
		return $templates;
	}
	
	function get_template($type='frontend'){
		$this->db->select($type);
		$r = $this->db->get('templates', 1);
		
		return $r->get_one();
	}
	
	function store($type){
		$template[$type] = $this->input->post('template', true);
		$r = $this->db->update('templates', $template, "id=1");
		if( $r === false ){
			$this->message['text'] = 'Gagal mengganti template.';
			$this->message['class'] = 'error';
			return false;
		}
		
		$this->message['text'] = 'Template berhasil diganti.';
		$this->message['class'] = 'ok';
		return true;
	}
}
?>