<?php
class Head {
	var $_head = null;
	
	function Head(){
		$this->obj =& get_instance();
		$this->_load_site_config();
	}
	
	function _load_site_config(){		
		$this->_head['title'] = $this->obj->config->item('site_title');
		$this->_head['meta']['keywords'] =  $this->obj->config->item('meta_keys');
		$this->_head['meta']['description'] = $this->obj->config->item('meta_desc');
		$this->_head['meta']['author'] = 'IndoWebMaker.com';
	}
	
	function assign_title($title){
		$this->_head['title'] = $title;
	}
	
	function append_title($content=''){
		$e = $this->_head['title'];
		$this->_head['title'] = $content.' | '.$e;
	}
	
	function assign_meta_tag($name, $content){
		$this->_head['meta'][$name] = $content;
	}
	
	function append_meta_tag($name, $content){
		$e = $this->_head['meta'][$name];
		if( $content != '' )
			$this->_head['meta'][$name] = $content.', '.$e;
	}
	
	function prepand_meta_tag($name, $content){
		if( $content != '' )
			$this->_head['meta'][$name] .= ', '.$content;
	}
	
	function add_custom_head($html){
		$this->_head['custom'][] = $html;
	}
	
	function show_head(){
		$head[] = '<title>'.$this->_head['title'].'</title>';
		foreach( $this->_head['meta'] as $name => $value ){
			$head[] = '<meta name="'.$name.'" content="'.$value.'" />';
		}
		if( isset($this->_head['custom']) && is_array($this->_head['custom']) ){
			foreach($this->_head['custom'] as $html){
				$head[] = $html;
			}
		}
		
		echo implode("\n", $head)."\n";
	}
}
?>