function isIE(){
	return (navigator.appName == "Microsoft Internet Explorer");
}

function isIE7(){
	ua = navigator.userAgent;
	return (isIE() && (ua.indexOf('MSIE 7') != -1));
}

function windowHeight() {
	if ( window.innerHeight != null )
		return window.innerHeight; // Mozilla (and others)
	if(document.documentElement.offsetHeight){
		return document.documentElement.offsetHeight;
	}
	return document.body.clientHeight;
}

function windowWidth() {
	if ( window.innerWidth != null ){
		return window.innerWidth;
	}
	
	return document.body.clientWidth;
}

function show_loading2(){
	obj = document.getElementById('loading');
	obj2 = document.getElementById('right-main');
	obj2.className = 'transparent';
	
	winwidth = parseInt(screen.width / 2.0);
	winheight = parseInt(screen.height / 2.0);
	
	wrapperheight = obj.offsetHeight == 0 ? 70:obj.offsetHeight;
	wrapperwidth = obj.offsetWidth == 0 ? 150:obj.offsetWidth;
	
	top_pos = (winheight/2) - parseInt(wrapperheight/2);
	left_pos = (winwidth/2) - parseInt(wrapperwidth/2) + 100;
	
	if( isIE() && !isIE7() ){
		sLeft = document.documentElement.scrollLeft ? document.documentElement.scrollLeft : document.body.scrollLeft;
		sTop = document.documentElement.scrollTop ? document.documentElement.scrollTop : document.body.scrollTop;
		
		left_pos = left_pos + sLeft;
		top_pos = top_pos + sTop;
	}
	
	obj.style.top = top_pos + 'px';
	obj.style.left = left_pos + 'px';
	obj.style.display='block';
	obj.style.backgroundColor='#fff';
	obj.style.zIndex='10000';
	if( isIE() ){
		obj.style.position='absolute';
	} else {
		obj.style.position='fixed';
	}
}

function show_alert(){
	obj = document.getElementById('alert');
	obj2 = document.getElementById('right-main');
	obj2.className = 'transparent';
	
	winwidth = parseInt(windowWidth() / 2.0);
	winheight = parseInt(windowHeight() / 2.0);
	
	wrapperheight = obj.offsetHeight == 0 ? 100:obj.offsetHeight;
	wrapperwidth = obj.offsetWidth == 0 ? 400:obj.offsetWidth;
	
	top_pos = winheight - parseInt(wrapperheight/2);
	left_pos = winwidth - parseInt(wrapperwidth/2);
	
	obj.style.top = top_pos + 'px';
	obj.style.left = left_pos + 'px';
	obj.style.display='block';
	obj.style.zIndex='10000';
	if( isIE() )
		obj.style.position='absolute';
	else 
		obj.style.position='fixed';
}

function confirm_answer(answer){
	hide_alert();
	
	if( answer == 'Y' )
		submit_form('delete');
}

function hide_alert(){
	obj = document.getElementById('alert');
	obj2 = document.getElementById('right-main');
	obj2.className = '';
	obj.style.display='none';
}

function checkPageTitle(){
	var h2 = document.getElementById('page-title');
	data = h2.innerHTML;
	
	if(data == '' || data == '&nbsp;'){
		h2.style.display = 'none';
	}
}