<?php
	$base_url = $this->template->get('full_url', 'backend');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Content Management System</title>
<link rel="stylesheet" href="<?=$base_url;?>css/standard.css" type="text/css" />
<link rel="stylesheet" href="<?=$base_url;?>css/right.css" type="text/css" />
<script language="javascript" src="<?=$base_url;?>js/function2.js" type="text/javascript"></script>
<?php
if( function_exists('tinymce_init') )
	tinymce_init();

if( function_exists('zpcal_init') )
	zpcal_init();
?>
<script language="javascript" type="text/javascript" src="<?=$this->config->item('base_url');?>js/iwm_js.js"></script>
</head>
<body onload="checkPageTitle()">
<div id="right-main">
	<?php
	if( $ishome === true ){
		echo $html;
	} else {
	?>
	<div id="status-bar"></div>
  	<h1 id="page-title"><?=@$page_title;?></h1>
  	<div id="button-bar"><?=@$button;?></div>
  	<div class="separator"></div>
	<div id="message">
		<?php
		if( is_array($message) ){
			if( $message['class'] == 'error' )
				$e_title = 'KESALAHAN';
			if( $message['class'] == 'warning' )
				$e_title = 'PERINGATAN';
			if( $message['class'] == 'ok' )
				$e_title = 'BERHASIL';
		?>
		<div class="<?=@$message['class'];?>" id="message-container">
			<h3><?=@$e_title;?>:</h3>
			<p><?=@$message['text'];?></p>
		</div>
		<?php
		} else 
			echo @$message;
		?>
	</div>
  	<div class="border">
    	<?=@$html;?>
  	</div>
	<?php
	}
	?>
</div>
<div id="elapsed_time">This page is generated in {elapsed_time} second</div>
<div id="loading">
	<img src="<?=$this->template->get('full_url', 'backend');?>images/loading24x24.gif" alt="loading" />
	<p>Loading...</p>
</div>
<div id="alert">
	<h3>KONFIRMASI</h3>
	<p>Apakah Anda yakin akan menghapus data tersebut?</p>
	<div class="button-bar">
		<input type="button" name="submit" value="Ya" class="button" onclick="confirm_answer('Y');" onmouseover="this.className='button-hover'" onmouseout="this.className='button'" />&nbsp;&nbsp;
		<input type="button" name="submit" value="Tidak" class="button" onclick="confirm_answer('N');" onmouseover="this.className='button-hover'" onmouseout="this.className='button'" />
	</div>
</div>
</body>
</html>
