<?php
$obj =& get_instance();
$obj->load->model('Ads_model', 'adsm', 'ads');
$tags = $obj->adsm->get_tags(35, 'counter', 'DESC');

$max = $tags['max'];
$tags = $tags['rows'];
shuffle($tags);
?>
<div class="sidebar-content-top"></div>
<div class="sidebar-content">
	<div class="popular-tag">
		<h3><span><?=$block_title ? $block_title:'Popular Tag';?></span></h3>
		<p><?php foreach( $tags as $tag ):
			$percent = floor(($tag->counter / $max) * 100);
			if ($percent <25){
				$class = 'small';
			} elseif ($percent>= 25 and $percent <50) {
				$class = 'medium';
			} elseif ($percent>= 50 and $percent <75) {
				$class = 'large';
			} else {
				$class = 'largest';
			}
			?>
			<a href="<?=site_url2('/tag/'.$tag->slug.'/');?>"><span class="<?=$class;?>"><?=htmlentities2($tag->tag);?></span></a>
		<?php endforeach; ?></p>
	</div>
</div>
<div class="sidebar-content-bottom"></div>